summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMika Attila2015-06-19 13:42:22 +0200
committerMika Attila2015-06-19 13:42:22 +0200
commitf62044147d86ce9172ba1fe834f401873e776b76 (patch)
tree2fb182cc0b9fa0472901d1ffb094303f968a7ec4
downloadaur-f62044147d86ce9172ba1fe834f401873e776b76.tar.gz
Initial commit
-rw-r--r--.SRCINFO29
-rw-r--r--LICENSE22
-rw-r--r--PKGBUILD54
-rw-r--r--cdluaim5.patch22
-rw-r--r--cdpdf.mak.patch11
5 files changed, 138 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..309964ce617
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,29 @@
+pkgbase = libcd
+ pkgdesc = Platform-independent graphics library
+ pkgver = 5.8.2
+ pkgrel = 2
+ url = http://www.tecgraf.puc-rio.br/cd/
+ arch = i686
+ arch = x86_64
+ license = custom
+ makedepends = lua
+ depends = ftgl
+ depends = libim
+ depends = pdflib-lite
+ depends = gtk2
+ depends = libxmu
+ depends = pangox-compat
+ options = staticlibs
+ source = http://downloads.sourceforge.net/project/canvasdraw/5.8.2/Docs%20and%20Sources/cd-5.8.2_Sources.tar.gz
+ source = http://downloads.sourceforge.net/project/canvasdraw/5.8.2/Docs%20and%20Sources/cd-5.8.2_Docs.pdf
+ source = LICENSE
+ source = cdpdf.mak.patch
+ source = cdluaim5.patch
+ md5sums = 0e78ee6eedfde1acca6cc5351ba4bb1d
+ md5sums = 906e59f55fc48e3f4cd3c40582aea150
+ md5sums = 3b326faf9f9ab35096453525b55bd8c8
+ md5sums = eec4463334ef927ed6c4ccb81086c6df
+ md5sums = ed8a4b981b24f38d82efd8aa5b3dea87
+
+pkgname = libcd
+
diff --git a/LICENSE b/LICENSE
new file mode 100644
index 00000000000..94263ed88ed
--- /dev/null
+++ b/LICENSE
@@ -0,0 +1,22 @@
+/******************************************************************************
+Copyright (C) 1994-2010 Tecgraf, PUC-Rio.
+
+Permission is hereby granted, free of charge, to any person obtaining
+a copy of this software and associated documentation files (the
+"Software"), to deal in the Software without restriction, including
+without limitation the rights to use, copy, modify, merge, publish,
+distribute, sublicense, and/or sell copies of the Software, and to
+permit persons to whom the Software is furnished to do so, subject to
+the following conditions:
+
+The above copyright notice and this permission notice shall be
+included in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
+IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
+CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
+TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
+SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+******************************************************************************/
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..6cca5f8bd82
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,54 @@
+# Original contributor: Karro <karolina.lindqvist@kramnet.se>
+#
+# Maintainer: SneakySnake <radiantstatue@gmail.com>
+# Submit issues/pull requests at https://github.com/crumblingstatue/pkgbuilds
+
+pkgname=libcd
+pkgver=5.8.2
+pkgrel=2
+pkgdesc="Platform-independent graphics library"
+arch=(i686 x86_64)
+url="http://www.tecgraf.puc-rio.br/cd/"
+depends=(ftgl libim pdflib-lite gtk2 libxmu pangox-compat)
+makedepends=(lua)
+license=('custom')
+options=(staticlibs)
+
+source=(
+ "http://downloads.sourceforge.net/project/canvasdraw/${pkgver}/Docs%20and%20Sources/cd-${pkgver}_Sources.tar.gz"
+ "http://downloads.sourceforge.net/project/canvasdraw/${pkgver}/Docs%20and%20Sources/cd-${pkgver}_Docs.pdf"
+ LICENSE
+ cdpdf.mak.patch
+ cdluaim5.patch
+)
+
+md5sums=(
+ '0e78ee6eedfde1acca6cc5351ba4bb1d'
+ '906e59f55fc48e3f4cd3c40582aea150'
+ '3b326faf9f9ab35096453525b55bd8c8'
+ 'eec4463334ef927ed6c4ccb81086c6df'
+ 'ed8a4b981b24f38d82efd8aa5b3dea87'
+)
+
+prepare() {
+ cd $srcdir/cd
+ patch -p0 <../../cdluaim5.patch || return 1
+ cd $srcdir/cd/src
+ patch -uN cdpdf.mak ../../cdpdf.mak.patch
+}
+
+build() {
+ cd $srcdir/cd
+ make -C src cd cdpdf cdgl cdlua5 cdluapdf5 cdluagl5 cdluaim5 || return 1
+}
+
+package() {
+ install -m755 -d $pkgdir/usr/lib
+ install -m644 $srcdir/cd/lib/Linux*/* $pkgdir/usr/lib
+ install -m755 -d $pkgdir/usr/share/$pkgname
+ install -m644 $srcdir/cd-${pkgver}_Docs.pdf $pkgdir/usr/share/$pkgname
+ install -m755 -d $pkgdir/usr/include/cd
+ install -m644 $srcdir/cd/include/* $pkgdir/usr/include/cd
+ mkdir -p $pkgdir/usr/share/licenses/$pkgname
+ install -m644 $srcdir/LICENSE $pkgdir/usr/share/licenses/$pkgname
+}
diff --git a/cdluaim5.patch b/cdluaim5.patch
new file mode 100644
index 00000000000..d0093eb049a
--- /dev/null
+++ b/cdluaim5.patch
@@ -0,0 +1,22 @@
+--- ./src/lua5/cdluaim5.c.~1~ 2010-06-07 22:36:50.000000000 +0200
++++ ./src/lua5/cdluaim5.c 2010-07-22 07:04:20.000000000 +0200
+@@ -9,8 +9,8 @@
+
+ #define CD_NO_OLD_INTERFACE
+
+-#include <im.h>
+-#include <im_image.h>
++#include <im/im.h>
++#include <im/im_image.h>
+
+ #include "cd.h"
+ #include "cdirgb.h"
+@@ -19,7 +19,7 @@
+ #include <lua.h>
+ #include <lauxlib.h>
+
+-#include <imlua.h>
++#include <im/imlua.h>
+
+ #include "cdlua.h"
+ #include "cdlua5_private.h"
diff --git a/cdpdf.mak.patch b/cdpdf.mak.patch
new file mode 100644
index 00000000000..0be1803b94d
--- /dev/null
+++ b/cdpdf.mak.patch
@@ -0,0 +1,11 @@
+--- cdpdf.mak.old 2015-05-19 10:10:41.865276298 +0200
++++ cdpdf.mak 2015-05-19 10:10:48.141943259 +0200
+@@ -6,7 +6,7 @@
+ SRC = drv/cdpdf.c
+
+ INCLUDES = . sim pdflib/pdflib
+-LIBS = pdflib
++LIBS = pdf
+
+ USE_CD = YES
+ CD = ..